package com.yihu.hos.standard.model.standard;

import com.yihu.hos.web.framework.model.Result;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Column;
import javax.persistence.Id;
import java.io.Serializable;

/**
 * CDA与数据集关系模型
 *
 * @created Airhead 2015/12/23.
 */
public class StdCDADatasetModel extends Result implements Serializable {
    @Id
    @GenericGenerator(name = "generator", strategy = "increment")
    @Column(name = "id")
    private Integer id;

    @Column(name = "cda_id")
    private Integer cdaID;

    @Column(name = "dataset_id")
    private Integer datasetId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCdaID() {
        return cdaID;
    }

    public void setCdaID(Integer cdaID) {
        this.cdaID = cdaID;
    }

    public Integer getdatasetId() {
        return datasetId;
    }

    public void setdatasetId(Integer datasetId) {
        this.datasetId = datasetId;
    }
}
